TerranQuest Mapbox GL Styles
============================

This is a set of three Mapbox GL map styles.  The styles are very simplified, showing roads, water, buildings, and parks/grass/woods.

These styles are best viewed at very high (>16) zoom level.  They were designed for TerranQuest, a mobile location-based video game.


Folders
-------

**terranquest-3d:**  
Style and sprites for a textured map with 3D buildings.

**terranquest-flat:**  
Style and sprites for a textured map with flat/2D buildings.

**terranquest-simple:**  
Style for a 2D plain-color map with no textures.

**krita-files:**  
Krita project files for the textures.

**png:**  
Individual PNG textures, at 256x256 and 512x512 sizes.


Preview
-------

Live maps: [3D](https://maps.netsyms.net/styles/terranquest-3d/), [Flat](https://maps.netsyms.net/styles/terranquest-flat/), [Simple](https://maps.netsyms.net/styles/terranquest-simple/)

#### 3D style: ![3D City](preview/3d-city.png)

#### Flat style: ![Flat City](preview/2d-city.png)

#### Simple style: ![Simple](preview/simple.png)

#### Planet (3D/Flat): ![Planet](preview/planet.png)

#### Rural (3D/Flat): ![Planet](preview/rural.png)


License
-------

Creative Commons Zero, CC0  
http://creativecommons.org/publicdomain/zero/1.0/

Please note that the license only applies to the texture/sprite files and the `style.json` files.  Whatever map you use has its own license terms.  For example, the CC0 license does not apply to the preview images, as they contain ODbL-licenses code from OpenStreetMap.